apiVersion: apps/v1
kind: Deployment
metadata:
  name: rdf-to-mqtt
spec:
  replicas: 1
  selector:
    matchLabels:
      app: rdf-to-mqtt
  template:
    metadata:
      labels:
        app: rdf-to-mqtt
    spec:
      containers:
        - name: rdf-to-mqtt
          image: reg:5000/rdf_to_mqtt_image
          args:
            - pdm
            - run
            - uvicorn
            - --access-log
            - --host=0.0.0.0
            - --log-level=debug
            - --port=8000
            - rdf_to_mqtt:app
          ports:
            - containerPort: 8000
---
apiVersion: v1
kind: Service
metadata:
  name: rdf-to-mqtt
spec:
  ports:
    - { port: 80, targetPort: 8000 }
  selector:
    app: rdf-to-mqtt
